## spock 0.6-groovy

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SpockFramework.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SpockFramework.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SpockFramework"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SpockFramework"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## spock 0.6-groovy-1.8

=== debian/changelog ===
spock (0.6-groovy-1.8-3) unstable; urgency=medium

  * Team upload.
  * Switch to ASM 5 and CGLIB 3
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 03 Oct 2014 23:08:21 +0200

spock (0.6-groovy-1.8-2) unstable; urgency=low

  * Upload to unstable.
  * d/control: Bump Standards-Version to 3.9.4 (no changes needed).

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 06 May 2013 01:33:55 +0200

spock (0.6-groovy-1.8-1) experimental; urgency=low

  * Initial release. (Closes: #607388)

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 02 Sep 2012 12:38:23 +0200

=== debian/control ===
Source: spock
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>,
 Miguel Landaeta <miguel@miguel.cc>
Build-Depends: ant, debhelper (>= 9), default-jdk
Build-Depends-Indep: groovy,
                     junit4,
                     libaopalliance-java,
                     libasm4-java,
                     libcglib3-java,
                     libguice-java,
                     libhamcrest-java,
                     libobjenesis-java,
                     maven-repo-helper (>= 1.5~)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/spock.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/spock.git
Homepage: http://code.google.com/p/spock/

Package: libspock-java
Architecture: all
Depends: ant,
         groovy,
         junit4,
         libaopalliance-java,
         libasm4-java,
         libcglib3-java,
         libguice-java,
         libhamcrest-java,
         libobjenesis-java,
         ${misc:Depends}
Description: testing and specification framework for Java and Groovy application
 Spock is a testing and specification framework for Java and Groovy applications
 .
 It provide highly expressive specification language.
 .
 Spock is compatible with most IDEs, build tools, and
 continuous integration servers thanks to its JUnit runner.

Package: libspock-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libspock-java
Description: testing and specification framework for Java and Groovy - Docs
 Spock is a testing and specification framework for Java and Groovy applications
 .
 It provide highly expressive specification language.
 .
 Spock is compatible with most IDEs, build tools, and
 continuous integration servers thanks to its JUnit runner.
 .
 This package contains Javadoc API for libspock-java.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/spockframework/spock /spock-(.*).tar.gz

## spock 0.7-groovy-2.0

=== debian/changelog ===
spock (0.7-groovy-2.0-4) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871887)
  * Wrap and sort dependencies lists.
  * Simplify d/rules.
  * Update copyright info.

  [ Emmanuel Bourg ]
  * Fixed the build failure with Java 9 (Closes: #893417)
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 30 Mar 2018 17:38:33 +0200

spock (0.7-groovy-2.0-3) unstable; urgency=medium

  * Team upload.
  * Add patch for FTBFS with groovy 2.4.7. (Closes: #829111)
  * Add build-dependency and dependency upon groovy (>= 2.4.7)

 -- tony mancill <tmancill@debian.org>  Fri, 01 Jul 2016 21:39:41 -0700

spock (0.7-groovy-2.0-2) unstable; urgency=medium

  * Team upload.
  * Depend on groovy instead of groovy2
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Depend on libcglib-nodep-java instead of libcglib3-java
  * Standards-Version updated to 3.9.8 (no changes)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 May 2016 21:57:00 +0200

spock (0.7-groovy-2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Refreshed the patch
    - Depend on groovy2 instead of groovy
    - Refreshed spock-core.pom and spock-guice.pom
    - Updated the version in debian/build.xml
    - Updated the --artifact parameters in debian/libspock-java.poms
  * Improved the reproducibility:
    - Use an english locale when generating the javadoc
  * Removed the gradle wrapper from the upstream tarball
  * debian/control: Updated the Homepage field
  * Updated debian/watch

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 01 Oct 2015 12:08:35 +0200

=== debian/control ===
Source: spock
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>
Build-Depends:
 ant,
 debhelper (>= 11),
 default-jdk,
 groovy (>= 2.4.7),
 junit4,
 libaopalliance-java,
 libasm-java (>= 5.0),
 libcglib-nodep-java,
 libguice-java,
 libhamcrest-java,
 libobjenesis-java,
 maven-repo-helper (>= 1.5~)
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/pkg-java/spock.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/spock.git
Homepage: http://spockframework.org

Package: libspock-java
Architecture: all
Depends:
 ant,
 groovy (>= 2.4.7),
 junit4,
 libaopalliance-java,
 libasm-java (>= 5.0),
 libcglib-nodep-java,
 libguice-java,
 libhamcrest-java,
 libobjenesis-java,
 ${misc:Depends}
Description: testing and specification framework for Java and Groovy application
 Spock is a testing and specification framework for Java and Groovy applications
 .
 It provide highly expressive specification language.
 .
 Spock is compatible with most IDEs, build tools, and
 continuous integration servers thanks to its JUnit runner.

Package: libspock-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libspock-java
Description: testing and specification framework for Java and Groovy - Docs
 Spock is a testing and specification framework for Java and Groovy applications
 .
 It provide highly expressive specification language.
 .
 Spock is compatible with most IDEs, build tools, and
 continuous integration servers thanks to its JUnit runner.
 .
 This package contains Javadoc API for libspock-java.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME := /usr/lib/jvm/default-java
export ANT_ARGS=-f debian/build.xml

%:
	dh $@ --buildsystem=ant --with maven_repo_helper

get-orig-source:
	uscan --force-download

=== debian/watch ===
version=3
https://github.com/spockframework/spock/tags .*/spock-(.*).tar.gz

## spock 1.0+dfsg

=== debian/changelog ===
spock (1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #795828
  * d/watch: version=5
  * Build-Depends: s/default-jdk/default-jdk-headless/
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Install NOTICE

 -- Andreas Tille <tille@debian.org>  Fri, 24 Oct 2025 15:09:08 +0200

=== debian/control ===
Source: spock
Standards-Version: 4.7.2
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Damien Raude-Morvan <drazzib@debian.org>,
Section: java
Priority: optional
Build-Depends:
 ant,
 debhelper-compat (= 13),
 default-jdk-headless,
 groovy,
 junit4,
 libaopalliance-java,
 libasm-java,
 libcglib-nodep-java,
 libguice-java,
 libhamcrest-java,
 libobjenesis-java,
 maven-repo-helper,
Vcs-Browser: https://salsa.debian.org/java-team/spock
Vcs-Git: https://salsa.debian.org/java-team/spock.git
Homepage: https://spockframework.org

Package: libspock-java
Architecture: all
Depends:
 ant,
 groovy,
 junit4,
 libaopalliance-java,
 libasm-java,
 libcglib-nodep-java,
 libguice-java,
 libhamcrest-java,
 libobjenesis-java,
 ${misc:Depends},
Description: testing and specification framework for Java and Groovy application
 Spock is a testing and specification framework for Java and Groovy applications
 .
 It provide highly expressive specification language.
 .
 Spock is compatible with most IDEs, build tools, and
 continuous integration servers thanks to its JUnit runner.

Package: libspock-java-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 libspock-java,
Description: testing and specification framework for Java and Groovy - Docs
 Spock is a testing and specification framework for Java and Groovy applications
 .
 It provide highly expressive specification language.
 .
 Spock is compatible with most IDEs, build tools, and
 continuous integration servers thanks to its JUnit runner.
 .
 This package contains Javadoc API for libspock-java.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,3 @@
 
 %:
 	dh $@ --buildsystem=ant --with maven_repo_helper
-
-get-orig-source:
-	uscan --force-download

=== debian/watch ===
Version: 5

Source: https://github.com/spockframework/@PACKAGE@/tags
Matching-Pattern: (?:.*?/)?@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: s/-M/+m/g
Repack-Suffix: +dfsg
Dversion-Mangle: auto
